> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter conta a receber



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /contas-receber/{idContaReceber}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contas-receber/{idContaReceber}:
    get:
      tags:
        - Contas a receber
      summary: Obter conta a receber
      operationId: ObterContaReceberAction
      parameters:
        - $ref: >-
            #/components/parameters/get_contas_receber_idContaReceber_idContaReceber
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterContaReceberResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_contas_receber_idContaReceber_idContaReceber:
      name: idContaReceber
      in: path
      description: Identificador da conta receber
      required: true
      schema:
        type: integer
  schemas:
    ObterContaReceberResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
          nullable: true
        situacao:
          description: |-

            - aberto - Aberto
            - cancelada - Cancelada
            - pago - Pago
            - parcial - Parcial
            - prevista - Prevista
            - atrasadas - Atrasadas
            - emissao - Emissao
          type: string
          enum:
            - aberto
            - cancelada
            - pago
            - parcial
            - prevista
            - atrasadas
            - emissao
          nullable: true
          x-enumDescriptions:
            - aberto - Aberto
            - cancelada - Cancelada
            - pago - Pago
            - parcial - Parcial
            - prevista - Prevista
            - atrasadas - Atrasadas
            - emissao - Emissao
        data:
          type: string
          example: '2024-01-01'
          nullable: true
        dataVencimento:
          type: string
          example: '2024-01-01'
          nullable: true
        dataCompetencia:
          type: string
          example: 2024-01
          nullable: true
        dataLiquidacao:
          type: string
          nullable: true
        diaVencimento:
          type: integer
          nullable: true
        diaSemanaVencimento:
          description: |-

            - 0 - Domingo
            - 1 - Segunda
            - 2 - Terca
            - 3 - Quarta
            - 4 - Quinta
            - 5 - Sexta
            - 6 - Sabado
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
          nullable: true
          x-enumDescriptions:
            - 0 - Domingo
            - 1 - Segunda
            - 2 - Terca
            - 3 - Quarta
            - 4 - Quinta
            - 5 - Sexta
            - 6 - Sabado
        numeroDocumento:
          type: string
          nullable: true
        serieDocumento:
          type: string
          nullable: true
        numeroBanco:
          type: string
          nullable: true
        ocorrencia:
          description: |-

            - U - Unica
            - W - Semanal
            - Q - Quinzenal
            - M - Mensal
            - T - Trimestral
            - S - Semestral
            - A - Anual
            - P - Parcelada
          type: string
          enum:
            - U
            - W
            - Q
            - M
            - T
            - S
            - A
            - P
          nullable: true
          x-enumDescriptions:
            - U - Unica
            - W - Semanal
            - Q - Quinzenal
            - M - Mensal
            - T - Trimestral
            - S - Semestral
            - A - Anual
            - P - Parcelada
        quantidadeParcelas:
          type: integer
          nullable: true
        valor:
          type: number
          format: float
          nullable: true
        saldo:
          type: number
          format: float
          nullable: true
        taxa:
          type: number
          format: float
          nullable: true
        juros:
          type: number
          format: float
          nullable: true
        multa:
          type: number
          format: float
          nullable: true
        valorPago:
          type: number
          format: float
          nullable: true
        cliente:
          $ref: '#/components/schemas/ContatoModelResponse'
        categoria:
          $ref: '#/components/schemas/CategoriaReceitaDespesaResponseModel'
        formaRecebimento:
          $ref: '#/components/schemas/FormaRecebimentoResponseModel'
        historico:
          type: string
          nullable: true
        linkBoleto:
          type: string
          nullable: true
        quantidadeParcelasAntecipadas:
          type: integer
          nullable: true
      type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    CategoriaReceitaDespesaResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    FormaRecebimentoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````